# Contributing to CarbonJS

Thank you for your interest in contributing to CarbonJS! We welcome contributions from anyone who wants to help improve the project.

## How to Contribute

There are many ways you can contribute to CarbonJS:

- **Report bugs or suggest features.** If you find a bug or have an idea for a new feature, please [open an issue](https://github.com/malezjaa/carbonjs/issues/new) on our GitHub repository. Be sure to provide as much detail as possible so we can understand and reproduce the issue.

- **Submit code changes.** If you have fixed a bug or implemented a new feature, you can submit a [pull request](https://github.com/malezjaa/carbonjs/pulls) with your changes. Please follow our [code style guidelines](#code-style-guidelines) and make sure all tests pass before submitting your pull request.

- **Improve documentation.** Good documentation is essential for any project. If you see an opportunity to improve our documentation, whether it's fixing a typo or adding a new section, please submit a pull request with your changes.

## Code Style Guidelines

We follow the [Rust Style Guide](https://doc.rust-lang.org/1.0.0/style/README.html) for all code contributions. Please make sure your code follows these guidelines before submitting a pull request.

## Code of Conduct

We expect all contributors to follow our [Code of Conduct](CODE_OF_CONDUCT.md). Please read it before contributing to the project.

Thank you again for your interest in contributing to CarbonJS! We look forward to working with you.
